(setq user-full-name "Yagnesh Raghava Yakkala")
(setq user-mail-address "hi@yagnesh.org")
(setq el-get-install-dir "~/.emacs.d/el-get")
(add-to-list 'load-path
             (cons (expand-file-name (concat el-get-install-dir
                                             "/el-get")) load-path))

(setq org-install-dir (concat el-get-install-dir "/org-mode"))
(add-to-list 'load-path (concat org-install-dir "/contrib/lisp"))
(add-to-list 'load-path (concat org-install-dir "/lisp"))

(require 'org)
(require 'ox-latex)

;;; ignore heading
(defun org-latex-ignore-heading-filter-headline (headline backend info)
  "Strip headline from HEADLINE. Ignore BACKEND and INFO."
  (when (and (org-export-derived-backend-p backend 'latex)
             (string-match "\\`.*ignoreheading.*\n" headline))
    (replace-match "" nil nil headline)))
(add-to-list 'org-export-filter-headline-functions
             'org-latex-ignore-heading-filter-headline)

(setq org-export-allow-BIND t)
(setq debug-on-error t)
